<?php

namespace Ems\Services;

use Doctrine\ORM\EntityManager;

use Util\Environment;
use Util\Repositories;
use Ems\Util\Utils;

use Ems\Repository\ParamOrgRepository;

class ParamOrgService {
    
    public function __construct(EntityManager $entityManager, Environment $environment, ParamOrgRepository $paramOrgRepository) {
        $this->entityManager        = $entityManager;
        $this->environment          = $environment;
        $this->paramOrgRepository   = $paramOrgRepository;
    }
    
    private const NRPERFACESSADM_INDEX = 'NRPERFACESSADM';
    
    public const PERFIL_ACESS_ADM_DP_RH = 'PERFIL_ACESS_ADM_DP_RH';
    
    public function getPerfilAcessoAdministradorOrg() {
        $nrorg = $this->environment->getNrorg();
        
        $paramOrg = $this->paramOrgRepository->getParamOrg($nrorg);
        
        if (!empty($paramOrg)) {
            return $paramOrg[self::NRPERFACESSADM_INDEX];
        }
        
        return false;
    }
    
    public function getPerfilAcessoOrg(string $perfilAcesso = self::PERFIL_ACESS_ADM_DP_RH) {
        $nrorg = $this->environment->getNrorg();
        
        $paramOrg = $this->paramOrgRepository->getParamOrg($nrorg);
        
        if (!empty($paramOrg)) {
            switch ($perfilAcesso) {
                case self::PERFIL_ACESS_ADM_DP_RH:
                    return $paramOrg[self::NRPERFACESSADM_INDEX];
                    break;
                    
            }
        }
        
        return false;
    }
    
    public function getParamOrg() {
        $nrorg = $this->environment->getNrorg();
        
        return $this->entityManager->getRepository(Repositories::GPE_PARAMORG)->findOneBy(array('nrorg'=>$nrorg));
    }
    
    public function paramOrgValidaHoraBasePortal() {
        $paramOrg = $this->getParamOrg();
        if (empty($paramOrg)) {
            return false;
        }
        
        return $paramOrg->getIdvalidahorabaseportal() == Utils::SIM;
    }
    
}