/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_HABILIDADE                                               */
/* Tabela : HABILIDADE                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 20/04/2007 - Ronald Reis                                                   */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_HABILIDADE
BEFORE INSERT OR UPDATE OR DELETE
ON HABILIDADE FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUHABI := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDHABILIDADE,0) <> NVL(:NEW.CDHABILIDADE,0)) OR
         (NVL(:OLD.NMHABILIDADE,0) <> NVL(:NEW.NMHABILIDADE,0)) OR
         (NVL(:OLD.VRCUSHRHABIL,0) <> NVL(:NEW.VRCUSHRHABIL,0)) THEN
         :NEW.DTULTATUHABI := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('HABILIDADE', '', 'CDHABILIDADE='||:OLD.CDHABILIDADE||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE HABILIDADE MODIFY DTULTATUHABI DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_HABILIDADE','4.11.134'); END;
/
